List operational administrators in an Environment
/portal/v1/accounts/{accountSlug}/admin-assignmentsAuthentication
Bearer Token
AuthorizationJWT access token. Never send alongside X-API-Key: a request carrying both is refused.
Responses
application/json
items *AdminAssignmentResponseDto[]
application/json
error *ApiErrorBodyDto
application/json
error *ApiErrorBodyDto
Returned object
curl -X GET "https://auth.canopy-io.com/portal/v1/accounts/{accountSlug}/admin-assignments" \ -H "Authorization: Bearer $CANOPY_TOKEN"
{ "items": [ { "id": "string", "admin_role_id": "string", "user_id": "string", "environment_id": "string", "scope_type": "account", "application_node_id": "string", "effective_from": "2026-04-20T12:00:00.000Z", "effective_to": "2026-04-20T12:00:00.000Z", "revoked_at": "2026-04-20T12:00:00.000Z", "created_at": "2026-04-20T12:00:00.000Z", "updated_at": "2026-04-20T12:00:00.000Z" } ] }
Tell us how we can improve this guide.